Bug 118769 - New port: games/stepmania-devel - Stepmania dance and rhythm game
Summary: New port: games/stepmania-devel - Stepmania dance and rhythm game
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: closed
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-17 08:30 UTC by Brad Allen
Modified: 2008-07-05 06:00 UTC (History)
1 user (show)

See Also:


Attachments
stepmania-devel.shar (99.05 KB, text/plain)
2007-12-17 08:30 UTC, Brad Allen
no flags Details
stepmania-devel-patch.diff (2.47 KB, patch)
2008-01-31 08:39 UTC, Teemu Korhonen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Allen 2007-12-17 08:30:01 UTC

    
Comment 1 chinsan freebsd_committer 2007-12-17 13:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->chinsan

I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=118769 

Adding to audit trail from PR ports/118811:

Date: Tue, 18 Dec 2007 20:22:41 +1100
Comment 2 Teemu Korhonen 2008-01-31 08:39:39 UTC
Here is a patch that enables joystick/dancepad/etc.. -input via linux-js 
port.

linux-js is currently broken in 7.x, but I've sent a patch for it:
http://www.freebsd.org/cgi/query-pr.cgi?pr=120118
Comment 3 Edwin Groothuis freebsd_committer 2008-07-05 05:55:04 UTC
Responsible Changed
From-To: chinsan->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2008-07-05 05:55:11 UTC
edwin       2008-07-05 04:54:54 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/stepmania-devel Makefile distinfo pkg-descr pkg-plist 
    games/stepmania-devel/files patch-Makefile.in 
                                patch-src_arch_InputHandler_InputHandler.cpp 
                                patch-src_arch_InputHandler_InputHandler__Linux_Joystick.cpp 
  Log:
  New port: games/stepmania-devel - Stepmania dance and rhythm game
  
          StepMania is a dance and rhythm video game created by Chris
          Danford. It was originally developed as a simulator of
          Konami's popular arcade game series Dance Dance Revolution,
          and has since evolved into an extensible rhythm game engine
          capable of supporting a wide variety of rhythm-based game
          types.
  
          Features 3D graphics, visualizations, support for gamepads/dance
          pads, a step recording mode, and more!
  
          WWW: http://www.stepmania.com
  
  PR:             ports/118769
  Submitted by:   Brad Allen <braddo@tranceaddict.net>
  
  Revision  Changes    Path
  1.1220    +1 -0      ports/games/Makefile
  1.1       +77 -0     ports/games/stepmania-devel/Makefile (new)
  1.1       +3 -0      ports/games/stepmania-devel/distinfo (new)
  1.1       +10 -0     ports/games/stepmania-devel/files/patch-Makefile.in (new)
  1.1       +18 -0     ports/games/stepmania-devel/files/patch-src_arch_InputHandler_InputHandler.cpp (new)
  1.1       +11 -0     ports/games/stepmania-devel/files/patch-src_arch_InputHandler_InputHandler__Linux_Joystick.cpp (new)
  1.1       +9 -0      ports/games/stepmania-devel/pkg-descr (new)
  1.1       +1277 -0   ports/games/stepmania-devel/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Edwin Groothuis freebsd_committer 2008-07-05 05:55:19 UTC
State Changed
From-To: open->closed

Committed, thanks!